Skip to content

Anomaly Detection Overrides

Reference for the anomaly_detection_overrides endpoints of the Surfmeter API.

Surfmeter API – Anomaly Detection Overrides v1

The Surfmeter API lets you manage clients, users, capabilities, measurements, and organization-wide settings programmatically.


Servers

Description URL
https://surfmeter-server.{host}/client_admin_api/v1 https://surfmeter-server.{host}/client_admin_api/v1

Anomaly Detection Overrides


GET /anomaly_detection_overrides

Input parameters

Parameter In Type Default Nullable Description
ApiKeyAuth header string N/A No API key used on every request. Create keys in the Surfmeter Dashboard under Keys → Surfmeter API Keys.

Response 200 OK

{
    "anomaly_detection_overrides": [
        {
            "id": 0,
            "scope": {
                "subject": "string",
                "measurement_type": "string",
                "metric": "string",
                "detection_pass": "string"
            },
            "scope_key": "string",
            "level": "string",
            "origin": "string",
            "source_anomaly_id": "string",
            "created_at": "string",
            "updated_at": "string",
            "updated_by_id": 0,
            "updated_by_name": "string"
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "anomaly_detection_overrides": {
            "type": "array",
            "items": {
                "type": "object",
                "properties": {
                    "id": {
                        "type": "integer"
                    },
                    "scope": {
                        "type": "object",
                        "properties": {
                            "subject": {
                                "type": "string"
                            },
                            "measurement_type": {
                                "type": "string"
                            },
                            "metric": {
                                "type": "string"
                            },
                            "detection_pass": {
                                "type": "string"
                            }
                        }
                    },
                    "scope_key": {
                        "type": "string"
                    },
                    "level": {
                        "type": "string"
                    },
                    "origin": {
                        "type": "string"
                    },
                    "source_anomaly_id": {
                        "type": "string",
                        "nullable": true
                    },
                    "created_at": {
                        "type": "string"
                    },
                    "updated_at": {
                        "type": "string"
                    },
                    "updated_by_id": {
                        "type": "integer",
                        "nullable": true
                    },
                    "updated_by_name": {
                        "type": "string",
                        "nullable": true
                    }
                },
                "required": [
                    "id",
                    "scope",
                    "scope_key",
                    "level",
                    "origin",
                    "created_at",
                    "updated_at"
                ]
            }
        }
    },
    "required": [
        "anomaly_detection_overrides"
    ]
}

POST /anomaly_detection_overrides

Input parameters

Parameter In Type Default Nullable Description
ApiKeyAuth header string N/A No API key used on every request. Create keys in the Surfmeter Dashboard under Keys → Surfmeter API Keys.

Request body

{
    "scope": {
        "subject": "string",
        "measurement_type": "string",
        "metric": "string",
        "detection_pass": "string"
    },
    "level": "string"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "type": "object",
    "properties": {
        "scope": {
            "type": "object",
            "properties": {
                "subject": {
                    "type": "string"
                },
                "measurement_type": {
                    "type": "string"
                },
                "metric": {
                    "type": "string"
                },
                "detection_pass": {
                    "type": "string"
                }
            }
        },
        "level": {
            "type": "string"
        }
    },
    "required": [
        "scope",
        "level"
    ]
}

Response 201 Created

{
    "anomaly_detection_override": {
        "id": 0,
        "scope": {
            "subject": "string",
            "measurement_type": "string",
            "metric": "string",
            "detection_pass": "string"
        },
        "scope_key": "string",
        "level": "string",
        "origin": "string",
        "source_anomaly_id": "string",
        "created_at": "string",
        "updated_at": "string",
        "updated_by_id": 0,
        "updated_by_name": "string"
    }
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "anomaly_detection_override": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "scope": {
                    "type": "object",
                    "properties": {
                        "subject": {
                            "type": "string"
                        },
                        "measurement_type": {
                            "type": "string"
                        },
                        "metric": {
                            "type": "string"
                        },
                        "detection_pass": {
                            "type": "string"
                        }
                    }
                },
                "scope_key": {
                    "type": "string"
                },
                "level": {
                    "type": "string"
                },
                "origin": {
                    "type": "string"
                },
                "source_anomaly_id": {
                    "type": "string",
                    "nullable": true
                },
                "created_at": {
                    "type": "string"
                },
                "updated_at": {
                    "type": "string"
                },
                "updated_by_id": {
                    "type": "integer",
                    "nullable": true
                },
                "updated_by_name": {
                    "type": "string",
                    "nullable": true
                }
            },
            "required": [
                "id",
                "scope",
                "scope_key",
                "level",
                "origin",
                "created_at",
                "updated_at"
            ]
        }
    },
    "required": [
        "anomaly_detection_override"
    ]
}

DELETE /anomaly_detection_overrides

Input parameters

Parameter In Type Default Nullable Description
ApiKeyAuth header string N/A No API key used on every request. Create keys in the Surfmeter Dashboard under Keys → Surfmeter API Keys.

Response 200 OK

{
    "deleted": 0
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "deleted": {
            "type": "integer"
        }
    },
    "required": [
        "deleted"
    ]
}

POST /anomaly_detection_overrides/feedback

Input parameters

Parameter In Type Default Nullable Description
ApiKeyAuth header string N/A No API key used on every request. Create keys in the Surfmeter Dashboard under Keys → Surfmeter API Keys.

Request body

{
    "scope": {
        "subject": "string",
        "measurement_type": "string",
        "metric": "string",
        "detection_pass": "string"
    },
    "direction": "up",
    "source_anomaly_id": "string"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "type": "object",
    "properties": {
        "scope": {
            "type": "object",
            "properties": {
                "subject": {
                    "type": "string"
                },
                "measurement_type": {
                    "type": "string"
                },
                "metric": {
                    "type": "string"
                },
                "detection_pass": {
                    "type": "string"
                }
            }
        },
        "direction": {
            "type": "string",
            "enum": [
                "up",
                "down"
            ]
        },
        "source_anomaly_id": {
            "type": "string",
            "nullable": true
        }
    },
    "required": [
        "scope",
        "direction"
    ]
}

Response 200 OK

{
    "anomaly_detection_override": {
        "id": 0,
        "scope": {
            "subject": "string",
            "measurement_type": "string",
            "metric": "string",
            "detection_pass": "string"
        },
        "scope_key": "string",
        "level": "string",
        "origin": "string",
        "source_anomaly_id": "string",
        "created_at": "string",
        "updated_at": "string",
        "updated_by_id": 0,
        "updated_by_name": "string"
    },
    "deleted": true
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "anomaly_detection_override": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "scope": {
                    "type": "object",
                    "properties": {
                        "subject": {
                            "type": "string"
                        },
                        "measurement_type": {
                            "type": "string"
                        },
                        "metric": {
                            "type": "string"
                        },
                        "detection_pass": {
                            "type": "string"
                        }
                    }
                },
                "scope_key": {
                    "type": "string"
                },
                "level": {
                    "type": "string"
                },
                "origin": {
                    "type": "string"
                },
                "source_anomaly_id": {
                    "type": "string",
                    "nullable": true
                },
                "created_at": {
                    "type": "string"
                },
                "updated_at": {
                    "type": "string"
                },
                "updated_by_id": {
                    "type": "integer",
                    "nullable": true
                },
                "updated_by_name": {
                    "type": "string",
                    "nullable": true
                }
            },
            "nullable": true
        },
        "deleted": {
            "type": "boolean"
        }
    },
    "required": [
        "deleted"
    ]
}

GET /anomaly_detection_overrides/dimensions

Input parameters

Parameter In Type Default Nullable Description
ApiKeyAuth header string N/A No API key used on every request. Create keys in the Surfmeter Dashboard under Keys → Surfmeter API Keys.

Response 200 OK

{
    "dimensions": {
        "measurement_types": [
            {
                "measurement_type": "string",
                "metrics": [
                    "string"
                ],
                "subjects": [
                    "string"
                ]
            }
        ],
        "detection_passes": [
            "string"
        ],
        "levels": [
            "string"
        ]
    }
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "dimensions": {
            "type": "object",
            "properties": {
                "measurement_types": {
                    "type": "array",
                    "items": {
                        "type": "object",
                        "properties": {
                            "measurement_type": {
                                "type": "string"
                            },
                            "metrics": {
                                "type": "array",
                                "items": {
                                    "type": "string"
                                }
                            },
                            "subjects": {
                                "type": "array",
                                "items": {
                                    "type": "string"
                                }
                            }
                        },
                        "required": [
                            "measurement_type",
                            "metrics",
                            "subjects"
                        ]
                    }
                },
                "detection_passes": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "levels": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                }
            },
            "required": [
                "measurement_types",
                "detection_passes",
                "levels"
            ]
        }
    },
    "required": [
        "dimensions"
    ]
}

GET /anomaly_detection_overrides/{id}

Input parameters

Parameter In Type Default Nullable Description
ApiKeyAuth header string N/A No API key used on every request. Create keys in the Surfmeter Dashboard under Keys → Surfmeter API Keys.
id path string No

Response 200 OK

{
    "anomaly_detection_override": {
        "id": 0,
        "scope": {
            "subject": "string",
            "measurement_type": "string",
            "metric": "string",
            "detection_pass": "string"
        },
        "scope_key": "string",
        "level": "string",
        "origin": "string",
        "source_anomaly_id": "string",
        "created_at": "string",
        "updated_at": "string",
        "updated_by_id": 0,
        "updated_by_name": "string"
    }
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "anomaly_detection_override": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "scope": {
                    "type": "object",
                    "properties": {
                        "subject": {
                            "type": "string"
                        },
                        "measurement_type": {
                            "type": "string"
                        },
                        "metric": {
                            "type": "string"
                        },
                        "detection_pass": {
                            "type": "string"
                        }
                    }
                },
                "scope_key": {
                    "type": "string"
                },
                "level": {
                    "type": "string"
                },
                "origin": {
                    "type": "string"
                },
                "source_anomaly_id": {
                    "type": "string",
                    "nullable": true
                },
                "created_at": {
                    "type": "string"
                },
                "updated_at": {
                    "type": "string"
                },
                "updated_by_id": {
                    "type": "integer",
                    "nullable": true
                },
                "updated_by_name": {
                    "type": "string",
                    "nullable": true
                }
            },
            "required": [
                "id",
                "scope",
                "scope_key",
                "level",
                "origin",
                "created_at",
                "updated_at"
            ]
        }
    },
    "required": [
        "anomaly_detection_override"
    ]
}

PUT /anomaly_detection_overrides/{id}

Input parameters

Parameter In Type Default Nullable Description
ApiKeyAuth header string N/A No API key used on every request. Create keys in the Surfmeter Dashboard under Keys → Surfmeter API Keys.
id path string No

Request body

{
    "level": "string"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "type": "object",
    "properties": {
        "level": {
            "type": "string"
        }
    },
    "required": [
        "level"
    ]
}

Response 200 OK

{
    "anomaly_detection_override": {
        "id": 0,
        "scope": {
            "subject": "string",
            "measurement_type": "string",
            "metric": "string",
            "detection_pass": "string"
        },
        "scope_key": "string",
        "level": "string",
        "origin": "string",
        "source_anomaly_id": "string",
        "created_at": "string",
        "updated_at": "string",
        "updated_by_id": 0,
        "updated_by_name": "string"
    }
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "anomaly_detection_override": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "scope": {
                    "type": "object",
                    "properties": {
                        "subject": {
                            "type": "string"
                        },
                        "measurement_type": {
                            "type": "string"
                        },
                        "metric": {
                            "type": "string"
                        },
                        "detection_pass": {
                            "type": "string"
                        }
                    }
                },
                "scope_key": {
                    "type": "string"
                },
                "level": {
                    "type": "string"
                },
                "origin": {
                    "type": "string"
                },
                "source_anomaly_id": {
                    "type": "string",
                    "nullable": true
                },
                "created_at": {
                    "type": "string"
                },
                "updated_at": {
                    "type": "string"
                },
                "updated_by_id": {
                    "type": "integer",
                    "nullable": true
                },
                "updated_by_name": {
                    "type": "string",
                    "nullable": true
                }
            },
            "required": [
                "id",
                "scope",
                "scope_key",
                "level",
                "origin",
                "created_at",
                "updated_at"
            ]
        }
    },
    "required": [
        "anomaly_detection_override"
    ]
}

DELETE /anomaly_detection_overrides/{id}

Input parameters

Parameter In Type Default Nullable Description
ApiKeyAuth header string N/A No API key used on every request. Create keys in the Surfmeter Dashboard under Keys → Surfmeter API Keys.
id path string No

Response 200 OK

{
    "deleted": 0
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "deleted": {
            "type": "integer"
        }
    },
    "required": [
        "deleted"
    ]
}

Schemas

AnomalyDetectionOverrideBulkDestroyResponse

Name Type
deleted integer

AnomalyDetectionOverrideCreateData

Name Type
level string
scope Properties: subject, measurement_type, metric, detection_pass

AnomalyDetectionOverrideCreateResponse

Name Type
anomaly_detection_override Properties: id, scope, scope_key, level, origin, source_anomaly_id, created_at, updated_at, updated_by_id, updated_by_name

AnomalyDetectionOverrideDimensionsResponse

Name Type
dimensions Properties: measurement_types, detection_passes, levels

AnomalyDetectionOverrideFeedbackData

Name Type
direction string
scope Properties: subject, measurement_type, metric, detection_pass
source_anomaly_id string| null

AnomalyDetectionOverrideFeedbackResponse

Name Type
anomaly_detection_override Properties: id, scope, scope_key, level, origin, source_anomaly_id, created_at, updated_at, updated_by_id, updated_by_name
deleted boolean

AnomalyDetectionOverrideIndexResponse

Name Type
anomaly_detection_overrides Array<Properties: id, scope, scope_key, level, origin, source_anomaly_id, created_at, updated_at, updated_by_id, updated_by_name>

AnomalyDetectionOverrideShowResponse

Name Type
anomaly_detection_override Properties: id, scope, scope_key, level, origin, source_anomaly_id, created_at, updated_at, updated_by_id, updated_by_name

AnomalyDetectionOverrideUpdateData

Name Type
level string

AnomalyDetectionOverrideUpdateResponse

Name Type
anomaly_detection_override Properties: id, scope, scope_key, level, origin, source_anomaly_id, created_at, updated_at, updated_by_id, updated_by_name

Security schemes

Name Type Scheme Description
ApiKeyAuth apiKey API key used on every request. Create keys in the Surfmeter Dashboard under Keys → Surfmeter API Keys.